# YouTube Maze

Some YouTube creators have made video-gamebooks during which viewers are invited to make choices that influence the course of the narration.
This is generally implemented by breaking up the video into short interlinked segments.
This tool automatically generates visual representations of the networks underlying such games.

[See it live →](https://youtube-maze.delab.re)

## How Does it Work?

The [exploration algorithm](lib/explore.mjs) automatically downloads metadata about each video from YouTube and then proceeds to a breadth-first search to generate a graph which is laid out using [Graphviz](http://www.graphviz.org).
Only the links in the end screens and in the in-video cards are considered for the exploration.

## Running Locally

You can also run the server locally, provided you have a working installation of Node.JS and Graphviz.

```
git clone https://forge.delab.re/matteo/youtube-maze.git
cd youtube-maze
npm install
npm start
```

If everything goes as planned, you should be able to access the server by opening `http://localhost:3000` in your browser.

## License

This software is made available under the MIT license.
[See the full license text →](LICENSE)
